#global _tag RELEASE_%%(echo %%{version} | sed 's/\\./_/g')
%global _tag RELEASE_8_0

Name:		kchmviewer
Version:	8.0
Release:	%mkrel 2
Summary:	KDE chm viewer
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://www.ulduzsoft.com/linux/kchmviewer/
Source:		https://github.com/gyunaev/%{name}/archive/%{_tag}/%{name}-%{version}.tar.gz
# Upstream patches
Patch1:		0001-Custom-URL-scheme-registration-needs-to-be-applied-once-per.patch
Patch2:		0002-Only-add-Webkit-stuff-to-QT-if-we-are-compiling-under-5.6.patch
Patch3:		0003-Adding-support-for-old-single_pass-gcc-linker-which-requires.patch
Patch4:		0004-qtwebengine_does-not-have-linkClicked-signal.patch
Patch5:		0005-Return-initialization-of-EBook_CHM.patch
# Mageia patches
Patch10:	kchmviewer-7.7-fix-desktop-file-and-install-if-qt5.patch
BuildRequires:	imagemagick
BuildRequires:	gettext
BuildRequires:	chmlib-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libzip)

Requires:	okular

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
library, and does not depend on KDE or Gnome. However,
it may be compiled with full KDE support, including KDE widgets and KIO/KHTML.
The main advantage of KchmViewer is non-English language support.
Unlike others, KchmViewer in most cases correctly detects help file encoding,
correctly shows tables of context of Russian, Korean, Chinese and Japanese help
files, and correctly searches in non-English help files
(search for MBCS languages - ja/ko/ch is still in progress).

%files -f %{name}.lang
%{_bindir}/kchmviewer
%{_datadir}/applications/kchmviewer.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%{_tag}
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
install -m644 packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/

for i in 16x16 32x32 48x48 64x64; do
    convert -scale $i packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}.png
done

# install manually all translation files (Only with Qt5)
pushd po
for lang in cs de fr hu it nl pt_BR ru sv tr uk zh_CN zh_TW; do
     msgfmt --check -o %{name}_$lang.mo %{name}_$lang.po
     mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
     install -m 644 %{name}_$lang.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/%{name}.mo
done
popd

%find_lang %{name}


%changelog
* Sun Jan 01 2023 daviddavid <daviddavid> 8.0-2.mga9
+ Revision: 1928575
- switch to qtwebengine
- update Url and Source Url
- sync with upstream master branch

* Mon Oct 03 2022 neoclust <neoclust> 8.0-1.mga9
+ Revision: 1894372
- New version 8.0

* Tue Apr 05 2022 umeabot <umeabot> 7.7-7.mga9
+ Revision: 1844974
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 7.7-6.mga8
+ Revision: 1658647
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 7.7-5.mga8
+ Revision: 1524665
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 7.7-4.mga7
+ Revision: 1382106
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 7.7-3.mga7
+ Revision: 1298454
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 wally <wally> 7.7-2.mga7
+ Revision: 1187970
- rebuild for new libzip

* Sun Nov 13 2016 daviddavid <daviddavid> 7.7-1.mga6
+ Revision: 1067030
- port to Qt5
- use qmake_qt5 as cmake is only for KDE4
- add two patches from gentoo to fix build against Qt5 5.6+
- package all translation files manually
+ luigiwalser <luigiwalser>
- 7.7

* Sat Mar 05 2016 blino <blino> 7.5-3.mga6
+ Revision: 985966
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Sat Jan 02 2016 luigiwalser <luigiwalser> 7.5-2.mga6
+ Revision: 918282
- 7.5

* Thu Nov 19 2015 daviddavid <daviddavid> 7.3-3.mga6
+ Revision: 904214
+ rebuild (emptylog)

* Thu Nov 19 2015 daviddavid <daviddavid> 7.3-2.mga6
+ Revision: 904175
- rebuild for new libzip 1.0.1

* Sun Jun 21 2015 luigiwalser <luigiwalser> 7.3-1.mga6
+ Revision: 837423
- 7.3
- add patch to fix linking
- add libzip-devel BR

* Wed Oct 15 2014 umeabot <umeabot> 6.0-5.mga5
+ Revision: 741650
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0-4.mga5
+ Revision: 680953
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.0-3.mga4
+ Revision: 506561
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 6.0-2.mga3
+ Revision: 355892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 26 2011 fwang <fwang> 6.0-1.mga2
+ Revision: 187800
- new version 6.0
+ ahmad <ahmad>
- Install more icons
- Add a patch to make KHTMLPART used/selected by default

* Tue Jun 28 2011 fwang <fwang> 5.3-1.mga2
+ Revision: 115084
- new version 5.3

* Tue Jun 07 2011 ahmad <ahmad> 5.2-2.mga2
+ Revision: 101640
- Drop old/unneeded scriptlets
- imported package kchmviewer


* Tue Jun 07 2011 ahmad <ahmad> 5.2-2.mga2
+ Revision: 101640
- Drop old/unneeded scriptlets
- imported package kchmviewer


* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 5.2-1mdv2010.1
+ Revision: 540901
- New version 5.2

* Sat Feb 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 5.1-1mdv2010.1
+ Revision: 512197
- new release 5.1
- clean spec formatting

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 5.0-1mdv2010.1
+ Revision: 479496
- new version 5.0

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 4.2-1mdv2010.1
+ Revision: 463296
- new version 4.2

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 4.1-1mdv2010.0
+ Revision: 404728
- update to new version 4.1

* Tue Dec 02 2008 Funda Wang <fwang@mandriva.org> 4.0-1mdv2009.1
+ Revision: 308981
- 4.0 final
- requires okular for msits protocol

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use KDE packaging layout
      Use %%exlude instead of rm -fr

* Wed Aug 13 2008 Funda Wang <fwang@mandriva.org> 4.0-0.beta3.2mdv2009.0
+ Revision: 271365
- fix conflicts with okular

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 10 2008 Funda Wang <fwang@mandriva.org> 4.0-0.beta3.1mdv2009.0
+ Revision: 217343
- New version 4.0beta3

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 3.1-4mdv2008.1
+ Revision: 170915
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 05 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.1-3mdv2008.1
+ Revision: 106169
- Rebuild to fix bug #35325

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 3.1-3mdv2008.0
+ Revision: 75130
- Recompile against new library

* Sun Jun 17 2007 Helio Chissini de Castro <helio@mandriva.com> 3.1-2mdv2008.0
+ Revision: 40524
- Fix build for x86_64
- Remove invalid %%post and %%postun
- Remove wrong menu install
- Bring back .la file to enable proper load module

* Sun Jun 17 2007 Funda Wang <fwang@mandriva.org> 3.1-1mdv2008.0
+ Revision: 40499
- New version
- kill old menu

* Tue May 01 2007 Funda Wang <fwang@mandriva.org> 3.0-1mdv2008.0
+ Revision: 19881
- BuildRequires chmlib-devel
- use qt3 macros
- added missing locale fiiles.
- New upstream version 3.0


* Thu Dec 07 2006 Lenny Cartier <lenny@mandriva.com> 2.7-1mdv2007.0
+ Revision: 92104
- Update to 2.7
- Import kchmviewer

